package com.mx.dla.dda.admin.catalogos.estudios.dtos;

import com.mx.dla.global.dtos.BaseDTO;

public class CatalogoEstudioDTO extends BaseDTO{

	private static final long serialVersionUID = 1L;
	private Integer idEstudio;
	private String	idSap;
	private String	descripcionEstudio;
	private String 	descripcionGrupo;
	private String	moneda;
	private String	codigoPais;
	private String	nombrePais;
	private String	sociedad;
	private String	siglaDda;
	private Integer	orden;
	private boolean tieneContratos;
	private Long idGrupo;
	private int esAddOn;
	private String addOn; 
	
	/**
	 * @return the idEstudio
	 */
	public Integer getIdEstudio() {
		return idEstudio;
	}
	/**
	 * @param idEstudio the idEstudio to set
	 */
	public void setIdEstudio(Integer idEstudio) {
		this.idEstudio = idEstudio;
	}
	/**
	 * @return the idSap
	 */
	public String getIdSap() {
		return idSap;
	}
	/**
	 * @param idSap the idSap to set
	 */
	public void setIdSap(String idSap) {
		this.idSap = idSap;
	}
	/**
	 * @return the descripcionEstudio
	 */
	public String getDescripcionEstudio() {
		return descripcionEstudio;
	}
	/**
	 * @param descripcionEstudio the descripcionEstudio to set
	 */
	public void setDescripcionEstudio(String descripcionEstudio) {
		this.descripcionEstudio = descripcionEstudio;
	}
	/**
	 * @return the moneda
	 */
	public String getMoneda() {
		return moneda;
	}
	/**
	 * @param moneda the moneda to set
	 */
	public void setMoneda(String moneda) {
		this.moneda = moneda;
	}
	/**
	 * @return the codigoPais
	 */
	public String getCodigoPais() {
		return codigoPais;
	}
	/**
	 * @param codigoPais the codigoPais to set
	 */
	public void setCodigoPais(String codigoPais) {
		this.codigoPais = codigoPais;
	}
	/**
	 * @return the nombrePais
	 */
	public String getNombrePais() {
		return nombrePais;
	}
	/**
	 * @param nombrePais the nombrePais to set
	 */
	public void setNombrePais(String nombrePais) {
		this.nombrePais = nombrePais;
	}
	/**
	 * @return the sociedad
	 */
	public String getSociedad() {
		return sociedad;
	}
	/**
	 * @param sociedad the sociedad to set
	 */
	public void setSociedad(String sociedad) {
		this.sociedad = sociedad;
	}
	/**
	 * @return the siglaDda
	 */
	public String getSiglaDda() {
		return siglaDda;
	}
	/**
	 * @param siglaDda the siglaDda to set
	 */
	public void setSiglaDda(String siglaDda) {
		this.siglaDda = siglaDda;
	}
	/**
	 * @return the orden
	 */
	public Integer getOrden() {
		return orden;
	}
	/**
	 * @param orden the orden to set
	 */
	public void setOrden(Integer orden) {
		this.orden = orden;
	}
	
	public void setDescripcionGrupo(String descripcionGrupo) {
		this.descripcionGrupo = descripcionGrupo;
	}
	
	public String getDescripcionGrupo() {
		return descripcionGrupo;
	}
	
	public void setIdGrupo(Long idGrupo) {
		this.idGrupo = idGrupo;
	}
	
	public Long getIdGrupo() {
		return idGrupo;
	}
	public boolean isTieneContratos() {
		return tieneContratos;
	}
	public void setTieneContratos(boolean tieneContratos) {
		this.tieneContratos = tieneContratos;
	}
	
	public void setEsAddOn(int esAddOn) {
		this.esAddOn = esAddOn;
	}
	
	public int getEsAddOn() {
		return esAddOn;
	}
	public String getAddOn() {
		return addOn;
	}
	public void setAddOn(String addOn) {
		this.addOn = addOn;
	}
}
